Problem

Während der Installation von AEM6.2 SP1 tritt folgender Fehler im error.log auf:

Could not Install Package
"javax.jcr.nodetype.ConstraintViolationException: OakConstraint0001: /etc/cloudsettings/default/contexthub[[nt:folder]]: No matching definition found for child node relatedproducts with effective type [nt:unstructured]"

Ursache

Der Knotentyp des Ordners /etc/cloudsettings/default/contexthub (nt:folder) ist mit den Änderungen, die im Service Pack enthalten sind, nicht kompatibel.

Lösung

Vor der Installation von SP1 führen Sie die folgenden Schritte aus:

  1. Gehen Sie zu http://aem-host:port/crx/packmgr/index.jsp

  2. Erstellen Sie ein Backup-Paket aus /etc/cloudsettings/default/contexthub

  3. Gehen Sie zu http://aem-host:port/crx/de/index.jsp Web-App

  4. Gehen Sie zum Ordner /etc/cloudsettings/default/contexthub und löschen Sie ihn.

  5. Speichern

  6. Installieren Sie SP1

  7. Wenden Sie erneut alle benutzerdefinierten Änderungen an, die an der standardmäßigen contexthub-Konfiguration vorgenommen wurden.

Schweregrad

Schweregrad 2

Die angegebene Meldung

javax.jcr.nodetype.ConstraintViolationException: OakConstraint0001: /etc/cloudsettings/default/contexthub[[nt:folder]]: No matching definition found for child node relatedproducts with effective type [nt:unstructured]

Dieses Werk unterliegt den Bedingungen der Creative Commons Attribution-Noncommercial-Share Alike 3.0 Unported License.  Twitter™- und Facebook-Beiträge fallen nicht unter die Bedingungen der Creative Commons-Lizenz.

Rechtliche Hinweise   |   Online-Datenschutzrichtlinie